Bug 1171300 - Sametime Login Fails after updating from 1.1.0-12.fc20.x86_64 to 1.1.0-16.fc21.x86_64
Summary: Sametime Login Fails after updating from 1.1.0-12.fc20.x86_64 to 1.1.0-16.fc2...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: meanwhile
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-05 20:47 UTC by Chris Derichs
Modified: 2015-06-10 19:28 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-10 19:05:47 UTC


Attachments (Terms of Use)

Description Chris Derichs 2014-12-05 20:47:05 UTC
Description of problem:
When logging in with valid credentials after updating I get the error upon a logon attempt:
(14:27:05) connection: Connection error on 0x2aae970 (reason: 3 description: Login verification down or unavailable)

Version-Release number of selected component (if applicable):
0:1.1.0-16.fc21 Fails
0:1.1.0-12.fc20 Works (in Fedora 21, I just downgraded this manually)

How reproducible:
Every time I try to log in.

Steps to Reproduce:
1. Setup a sametime account you know works with 0:1.1.0-12.fc20 in pidgin
2. Update
3. Try logging in

Actual results:

(14:27:05) meanwhile: session state: starting
(14:27:05) meanwhile: session state: handshake sent
(14:27:05) meanwhile: session state: handshake acknowledged
(14:27:05) meanwhile: session state: login sent
(14:27:05) meanwhile: session state: stopping (0x80000214)
(14:27:05) connection: Connection error on 0x2aae970 (reason: 3 description: Login verification down or unavailable)
(14:27:05) meanwhile: session state: stopped (0x80000214)
(14:27:05) account: Disconnecting account chris (0x1ed80d0)
(14:27:05) connection: Disconnecting connection 0x2aae970
(14:27:05) meanwhile: attempted to stop session that is already stopped/stopping
(14:27:05) connection: Destroying connection 0x2aae970

Expected results:

(14:24:18) meanwhile: session state: starting
(14:24:18) meanwhile: session state: handshake sent
(14:24:18) meanwhile: session state: handshake acknowledged
(14:24:18) meanwhile: session state: login sent
(14:24:18) meanwhile: session state: login acknowledged
(14:24:18) meanwhile: starting service File Transfer
(14:24:18) meanwhile: started service File Transfer
(14:24:18) meanwhile: starting service Instant Messaging
(14:24:18) meanwhile: started service Instant Messaging
(14:24:18) meanwhile: starting service Places Conferencing
(14:24:18) meanwhile: started service Places Conferencing
(14:24:18) meanwhile: starting service Presence Awareness
(14:24:18) meanwhile: channel 0x00000001 state: waiting
(14:24:18) meanwhile: channel 0x00000001 state: initializing
(14:24:18) meanwhile: channel 0x00000001 state: waiting
(14:24:18) meanwhile: starting service Basic Conferencing
(14:24:18) meanwhile: started service Basic Conferencing
(14:24:18) meanwhile: starting service User Storage
(14:24:18) meanwhile: channel 0x00000002 state: waiting
(14:24:18) meanwhile: channel 0x00000002 state: initializing
(14:24:18) meanwhile: channel 0x00000002 state: waiting
(14:24:18) meanwhile: starting service Identity Resolution
(14:24:18) meanwhile: channel 0x00000003 state: waiting
(14:24:18) meanwhile: channel 0x00000003 state: initializing
(14:24:18) meanwhile: channel 0x00000003 state: waiting
(14:24:18) meanwhile: session state: started
(14:24:18) sametime: Set status to Available

Additional info:

Similar reports:
http://sourceforge.net/p/meanwhile/mailman/meanwhile-devel/?viewmonth=201406&viewday=26
https://developer.pidgin.im/ticket/13778 - not very useful
https://trac.adium.im/ticket/16345 - better
https://trac.adium.im/ticket/16135?cversion=0&cnum_hist=2 - closest to resolution

Workaround:
Downgrade.

Comment 1 Chris Derichs 2014-12-12 21:11:21 UTC
I just tested some more versions:

meanwhile.x86_64 0:1.1.0-14.fc21 Worked

meanwhile.x86_64 0:1.1.0-15.fc21 Fails to authenticate.

Package notes for -15

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-15 - Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 2 Chris Derichs 2014-12-31 00:40:22 UTC
I dug into this a bit more:

Downloading meanwhile-1.1.0-14.fc21.x86_64.rpm and installing it works.
http://koji.fedoraproject.org/koji/buildinfo?buildID=491711

Downloading meanwhile-1.1.0-14.fc21.src.rpm, running rpmbuild against it and installing that RPM Fails to authenticate.

It would seem the compiler or the build environment has changed significantly in from 20->21.

Nothing stood out in the differences for the build logs to me though (but I'm no expert).

To me the biggest difference is:
gcc x86_64 4.8.2-7.fc21
vs
gcc x86_64 4.9.1-7.fc21

I'll try downgrading my compiler and trying the local build again some other time.

Comment 3 mwp.junk 2015-04-16 15:54:05 UTC
Same issue and downgrading to release 14 of meanwhile worked.

Comment 4 Gustavo Luiz Duarte 2015-05-26 21:58:47 UTC
There is a similar bug on Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=764494

They narrowed it down to the tree-vrp gcc optimization. Here is a patch to workaround the issue:

diff --git a/meanwhile.spec b/meanwhile.spec
index b4f8519..a326cc0 100644
--- a/meanwhile.spec
+++ b/meanwhile.spec
@@ -60,7 +60,7 @@ Documentation for the %{name} library.
 
 %build
 autoreconf -vif
-%configure --enable-doxygen
+%configure --enable-doxygen CFLAGS=-fno-tree-vrp
 make %{?_smp_mflags}
 
 %install

I verified the above patch fixes this issue. It sounds like a compiler bug... it would be good if the compiler folks could take a look.

In the meantime, could we please have the above patch applied to the pidgin spec file in Fedora 21?

[]'s
Gustavo

Comment 5 Simone Caronni 2015-05-27 07:53:59 UTC
Thanks for the information! I'm making a new build in moments.

Comment 6 Simone Caronni 2015-05-27 08:02:09 UTC
Can you make a test with the new build (1.1.0-17) before I submit it to Bodhi?

http://koji.fedoraproject.org/koji/packageinfo?packageID=2510

I've made a slightly different patch than yours:

http://pkgs.fedoraproject.org/cgit/meanwhile.git/commit/?id=d27d75fb2c27ac2dc68b08ca815ed19573dfe4b6

Thanks,
--Simone

Comment 7 mwp.junk 2015-05-28 22:55:55 UTC
(In reply to Simone Caronni from comment #6)
> Can you make a test with the new build (1.1.0-17) before I submit it to
> Bodhi?
> 
> http://koji.fedoraproject.org/koji/packageinfo?packageID=2510
> 
> I've made a slightly different patch than yours:
> 
> http://pkgs.fedoraproject.org/cgit/meanwhile.git/commit/
> ?id=d27d75fb2c27ac2dc68b08ca815ed19573dfe4b6
> 
> Thanks,
> --Simone

Upgrading to your 1.1.0-17 also worked for me.

Comment 8 Fedora Update System 2015-05-29 08:36:58 UTC
meanwhile-1.1.0-17.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/meanwhile-1.1.0-17.fc20

Comment 9 Fedora Update System 2015-05-29 08:37:14 UTC
meanwhile-1.1.0-17.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/meanwhile-1.1.0-17.fc21

Comment 10 Fedora Update System 2015-05-29 08:37:29 UTC
meanwhile-1.1.0-17.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/meanwhile-1.1.0-17.fc22

Comment 11 Fedora Update System 2015-05-30 15:36:14 UTC
Package meanwhile-1.1.0-17.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing meanwhile-1.1.0-17.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9054/meanwhile-1.1.0-17.fc22
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2015-06-10 19:05:47 UTC
meanwhile-1.1.0-17.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-06-10 19:06:06 UTC
meanwhile-1.1.0-17.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-06-10 19:17:13 UTC
meanwhile-1.1.0-17.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.